methods:
  post:
    - "article{title}"
    - "article{summary}"
    - "article{description}"
    - "article{supplier_id}"
    - "article{price_ttc}"
    - price_ht
    - "article{weight}"
    - "article{nb_stock}"
    - online
    - out_stock_sale
    - image_file_name

fillin:
  enabled: true
  param:
   check_types:     [text, textarea, radio, hidden, checkbox, select]

names:
  article{title}:
    required:      true
    required_msg:  Titre obligatoire
    validators:    [MyTitleValidator]

  article{summary}:
    required:      true
    required_msg:  Titre obligatoire
    validators:    [MySummaryValidator]

  article{description}:
    required:      false
    required_msg:  Titre obligatoire
    validators:    [MyDescriptionValidator]

  article{supplier_id}:
    required:      true
    required_msg:  Fournisseur obligatoire

  article{price_ttc}:
    required:      true
    required_msg:  Prix TTC obligatoire
    validators:    [MyPriceValidator]

  price_ht:
    required:      true
    required_msg:  Prix HT obligatoire
    validators:    [MyPriceValidator]

  article{weight}:
    required:      true
    required_msg:  Poids obligatoire
    validators:    [MyWeightValidator]

  article{nb_stock}:
    required:      true
    required_msg:  Stock obligatoire
    validators:    [MyNbStockValidator]

  online:
    required:      true
    required_msg:  Attribut 'En ligne' &agrave; renseigner

  out_stock_sale:
    required:      true
    required_msg:  Attribut 'Vente hors stock' &agrave; renseigner

  image_file_name:
    required:      No
    file:          true
    validators:    [MyImageValidator]

MyTitleValidator:
    class:         sfStringValidator
    param:
        min:       2
        min_error: Merci d'entrer au moins 2 caract&egrave;res
        max:       120
        max_error: Merci d'entrer moins de 120 caract&egrave;res

MySummaryValidator:
    class:         MyRichTextValidator
    param:
      min:              2
      min_error:  Merci d'entrer au moins %s caract&egrave;res
      max:              120
      max_error:  Merci d'entrer moins de %s caract&egrave;res, soit environ 1 ligne de saisie (vous avez entr&eacute; %s caract&egrave;res)

MyDescriptionValidator:
    class:         MyRichTextValidator
    param:
      max:              8092
      max_error:  Merci d'entrer moins de %s caract&egrave;res

MyPriceValidator:
    class:         sfNumberValidator
    param:
        nan_error: Merci d'entrer un nombre
        min:       0.01
        min_error: La valeur doit &ecirc;tre sup&eacute;rieure &agrave; 0

MyWeightValidator:
    class:         sfNumberValidator
    param:
        nan_error: Merci d'entrer un nombre et d'utiliser un '.' comme s&eacute;parateur des d&eacute;cimales
        min:       0
        min_error: La valeur doit &ecirc;tre sup&eacute;rieure &agrave; 0

MyNbStockValidator:
    class:         sfRegexValidator
    param:
        match:         Yes
        match_error:   La valeur doit &ecirc;tre un entier positif
        pattern:       /[0-9]+/
        # ce pattern ne fonctionne pas compl�tement 

MyImageValidator:
    class:         sfFileValidator
    param:
        mime_types:
          - 'image/jpeg'
          - 'image/jpg'
          - 'image/pjpeg'
          - 'image/pjpg'
        mime_types_error: Fichiers JPG uniquement
        max_size:         1536000
        max_size_error:   Taille maximale de 1,5Mo